com.brightcove.player.model

## Class Source.Fields

- java.lang.Object
- - com.brightcove.player.model.Source.Fields

- Enclosing class:
    Source

      public static final class Source.Fields
      extends java.lang.Object

  Provides the list of known field names that can appear in the properties Map.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BIT_RATE` This Source's data rate
    `static java.lang.String` | `DURATION` This Source's duration
    `static java.lang.String` | `EXT_X_VERSION` The HLS ext-x-version key
    `static java.lang.String` | `HEADERS` This Source's asset HTTP headers
    `static java.lang.String` | `KEY_SYSTEMS` The key systems key
    `static java.lang.String` | `LICENSE_URL` The key request url key
    `static java.lang.String` | `URL` This Source's asset URL
    `static java.lang.String` | `VMAP` The url vmap key
    `static java.lang.String` | `WIDEVINE_KEY_SYSTEM` The Widevine key system key

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Fields()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### URL

          public static final java.lang.String URL

      This Source's asset URL
      See Also:
        Constant Field Values

    - #### BIT_RATE

          public static final java.lang.String BIT_RATE

      This Source's data rate
      See Also:
        Constant Field Values

    - #### DURATION

          public static final java.lang.String DURATION

      This Source's duration
      See Also:
        Constant Field Values

    - #### HEADERS

          public static final java.lang.String HEADERS

      This Source's asset HTTP headers
      See Also:
        Constant Field Values

    - #### KEY_SYSTEMS

          public static final java.lang.String KEY_SYSTEMS

      The key systems key
      See Also:
        Constant Field Values

    - #### WIDEVINE_KEY_SYSTEM

          public static final java.lang.String WIDEVINE_KEY_SYSTEM

      The Widevine key system key
      See Also:
        Constant Field Values

    - #### LICENSE_URL

          public static final java.lang.String LICENSE_URL

      The key request url key
      See Also:
        Constant Field Values

    - #### EXT_X_VERSION

          public static final java.lang.String EXT_X_VERSION

      The HLS ext-x-version key
      See Also:
        Constant Field Values

    - #### VMAP

          public static final java.lang.String VMAP

      The url vmap key
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Fields

          public Fields()